Bug 973041 - Review Request: perl-CPANPLUS-Dist-Build - Module::Build extension for CPANPLUS
Review Request: perl-CPANPLUS-Dist-Build - Module::Build extension for CPANPLUS
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 03:05 EDT by Petr Pisar
Modified: 2014-04-03 12:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-CPANPLUS-Dist-Build-0.70-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-03 12:53:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-06-11 03:05:49 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-CPANPLUS-Dist-Build/perl-CPANPLUS-Dist-Build.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-CPANPLUS-Dist-Build/perl-CPANPLUS-Dist-Build-0.70-1.fc20.src.rpm
Description:
CPANPLUS::Dist::Build is a distribution class for Module::Build related
modules. With this package, you can create, install and uninstall
Module::Build-based perl modules by calling CPANPLUS::Dist methods.
 
Fedora Account System Username: ppisar

-----
This is a dual-lived package that was omitted from perl.spec by a mistake.
Comment 1 Petr Šabata 2013-06-11 10:19:07 EDT
Missing BR for a %perl_bootstrap build:
perl(ExtUtils::MM_Unix), via version_from()

Missing a runtime BR / R:
perl(Exporter), lib/CPANPLUS/Dist/Build/Constants.pm:11

Missing a test BRs:
perl(CPANPLUS::Internals::Utils), t/02_CPANPLUS-Dist-Build.t:28
perl(FindBin), t/01_CPANPLUS-Dist-Build-Constants.t:3, t/02_CPANPLUS-Dist-Build.t:3

No other issues found.
Comment 2 Petr Pisar 2013-06-11 10:58:35 EDT
Thanks. Updated package hangs around the same location.
Comment 3 Petr Šabata 2013-06-11 11:13:11 EDT
Ok, good.  Approving.
Comment 4 Petr Pisar 2013-06-11 11:16:58 EDT
New Package SCM Request
=======================
Package Name: perl-CPANPLUS-Dist-Build
Short Description: Module::Build extension for CPANPLUS
Owners: ppisar jplesnik psabata
Branches: f17 f18 f19
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2013-06-11 12:10:46 EDT
Unretired, please take ownership in pkgdb and submit a Package Change Request for additional branches.
Comment 6 Petr Pisar 2013-06-12 02:29:51 EDT
Waiting on unblocking the package <https://fedorahosted.org/rel-eng/ticket/5632>.
Comment 7 Petr Pisar 2013-06-12 02:32:43 EDT
Package Change Request
======================
Package Name: perl-CPANPLUS-Dist-Build
New Branches: f19
Owners: ppisar jplesnik psabata
InitialCC: perl-sig

I changed my mind. I need new branch only for F19 in addition. The code will be provided as perl.spec sub-package in older Fedoras to match perl-CPANPLUS package.
Comment 8 Gwyn Ciesla 2013-06-12 08:25:29 EDT
Git done (by process-git-requests).
Comment 9 Petr Pisar 2013-06-13 02:02:20 EDT
Thank you for the review and the repository.
Comment 10 Petr Pisar 2013-06-13 02:02:57 EDT
Waiting on unblocking the package in F19 <https://fedorahosted.org/rel-eng/ticket/5634>.
Comment 11 Fedora Update System 2013-06-18 06:12:37 EDT
perl-5.16.3-265.fc19,perl-CPANPLUS-Dist-Build-0.70-2.fc19,perl-CPANPLUS-0.91.38-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-5.16.3-265.fc19,perl-CPANPLUS-Dist-Build-0.70-2.fc19,perl-CPANPLUS-0.91.38-1.fc19
Comment 12 Fedora Update System 2013-06-29 14:29:57 EDT
perl-5.16.3-265.fc19, perl-CPANPLUS-Dist-Build-0.70-2.fc19, perl-CPANPLUS-0.91.38-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.